org.apache.commons.collections4.map

## Class AbstractLinkedMap.KeySetIterator<K>

- java.lang.Object
- - org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator<K,Object>
  - - org.apache.commons.collections4.map.AbstractLinkedMap.KeySetIterator<K>

- All Implemented Interfaces:
    Iterator<K>, OrderedIterator<K>, ResettableIterator<K>
  Enclosing class:
    AbstractLinkedMap<K,V>

      protected static class AbstractLinkedMap.KeySetIterator<K>
      extends AbstractLinkedMap.LinkIterator<K,Object>
      implements OrderedIterator<K>, ResettableIterator<K>

  KeySet iterator.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

      `expectedModCount, last, next, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeySetIterator(AbstractLinkedMap<K,?> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `next()`
    `K` | `previous()` Gets the previous element from the container.

    - ### Methods inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

      `currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

      `hasPrevious`

    - ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

      `reset`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, remove`

- - ### Constructor Detail

    - #### KeySetIterator

          protected KeySetIterator(AbstractLinkedMap<K,?> parent)

  - ### Method Detail

    - #### next

          public K next()

      Specified by:
        `next` in interface `Iterator<K>`

    - #### previous

          public K previous()

      Description copied from interface: `OrderedIterator`
      Gets the previous element from the container.
      Specified by:
        `previous` in interface `OrderedIterator<K>`
      Returns:
        the previous element in the iteration

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.